commit a42ef0938f38b05919d8586883150819ee0ce757
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Fri Nov 8 18:39:32 2024 +0100

    testsuite: arm: Use effective-target for pr68674.c test
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/pr68674.c: Use effective-target arm_arch_v7a
            and arm_libc_fp_abi.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 879fd9c822633ecf2c62471d1a7f9b9619e296b7)

diff --git a/gcc/testsuite/gcc.target/arm/pr68674.c b/gcc/testsuite/gcc.target/arm/pr68674.c
index 0b3237458fe..3fd562d0518 100644
--- a/gcc/testsuite/gcc.target/arm/pr68674.c
+++ b/gcc/testsuite/gcc.target/arm/pr68674.c
@@ -1,9 +1,10 @@
 /* PR target/68674 */
 /* { dg-do compile } */
-/* { dg-require-effective-target arm_neon_ok } */
-/* { dg-require-effective-target arm_fp_ok } */
+/* { dg-require-effective-target arm_arch_v7a_ok } */
+/* { dg-require-effective-target arm_libc_fp_abi_ok } */
 /* { dg-options "-O2" } */
-/* { dg-add-options arm_fp } */
+/* { dg-add-options arm_arch_v7a } */
+/* { dg-add-options arm_libc_fp_abi } */
 
 #pragma GCC target ("fpu=vfp")
 

